
import numpy as np
import matplotlib.pyplot as plt
import pickle
from matplotlib.ticker import PercentFormatter
plt.style.use('ggplot')
#
with open('history.pkl', 'rb') as f:
    data = pickle.load(f)
    data = np.asarray(data)
    data *= 1000
plt.figure(figsize=(3.3, 2.9))
plt.hist(data,
    bins=6,
    # bins='auto',
    facecolor='dimgray',
    range=(0, 60),
    # log=True,
    rwidth=0.97,
    # density=1,
    weights=[1/len(data)]*len(data),
    )

# h, _ = np.histogram(data, bins=50, range=(0, 60), weights=[1/len(data)]*len(data))
# print(sum(h))
# plt.plot(h)
#
plt.gca().yaxis.set_major_formatter(PercentFormatter(1))
#
plt.xlabel('Round trip time in ms')
plt.ylabel('Relative frequency')
#plt.title('Measured communication delays')
plt.tight_layout()
#
# plt.savefig('histogram.jpg')
plt.savefig('histogram.jpg', dpi=300)
plt.show()
