
import numpy as np
import matplotlib.pyplot as plt
import pickle

plt.style.use('ggplot')

if __name__ == '__main__':

    with open('history.pkl', 'rb') as f:
        data = pickle.load(f)

    plt.figure(figsize=(3.3, 2.9))
    plt.hist(data,
        bins=50,
        facecolor='dimgray',
        range=(0, 0.1),
        log=True,
        rwidth=0.7,
        )

    plt.xlabel('Round trip time (s)')
    plt.ylabel('Number of examples')
    #plt.title('Measured communication delays')
    plt.tight_layout()

    plt.savefig('histogram.pdf')
    plt.show()
